Get EQL search results
- POST also GET /{index}/_eql/search
Returns search results for an Event Query Language (EQL) query. EQL assumes each document in a data stream or index corresponds to an event.
Read the reference documentationQuery parameters
-
allow_no_indicesboolean · default: true -
Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes
_allstring or when no indices have been specified) -
allow_partial_search_resultsboolean · default: false -
If true, returns partial results if there are shard failures. If false, returns an error with no partial results.
-
allow_partial_sequence_resultsboolean · default: false -
If true, sequence queries will return partial results in case of shard failures. If false, they will return no results at all. This flag has effect only if allow_partial_search_results is true.
-
expand_wildcardsstring · default: open -
Whether to expand wildcard expression to concrete indices that are open, closed or both.
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
ccs_minimize_roundtripsboolean · default: true -
Indicates whether network round-trips should be minimized as part of cross-cluster search requests execution
-
If true, missing or closed indices are not included in the response.
-
keep_alivestring · default: 5d -
Period for which the search and its results are stored on the cluster.
-
keep_on_completionboolean · default: false -
If true, the search and its results are stored on the cluster.
-
wait_for_completion_timeoutstring -
Timeout duration to wait for the request to finish. Defaults to no timeout, meaning the request waits for complete search results.
- Reference
Request body
-
event_category_fieldstring · default: event.category -
Field containing the event classification, such as process, file, or network.
-
fetch_sizenumber · default: 1000 -
Maximum number of events to search at a time for sequence queries.
-
allow_partial_search_resultsboolean · default: true -
Allow query execution also in case of shard failures. If true, the query will keep running and will return results based on the available shards. For sequences, the behavior can be further refined using allow_partial_sequence_results
-
allow_partial_sequence_resultsboolean · default: false -
This flag applies only to sequences and has effect only if allow_partial_search_results=true. If true, the sequence query will return results based on the available shards, ignoring the others. If false, the sequence query will return successfully, but will always have empty results.
-
fieldsoneOf -
Array of wildcard (*) patterns. The response returns values for field names matching these patterns in the fields property of each hit.
-
result_position· default: tail -
Supported values include:
tail: Return the most recent matches, similar to the Unix tail command.head: Return the earliest matches, similar to the Unix head command.
-
Values:
tailhead -
max_samples_per_keynumber · default: 1 -
By default, the response of a sample query contains up to
10samples, with one sample per unique set of join keys. Use thesizeparameter to get a smaller or larger set of samples. To retrieve more than one sample per set of join keys, use themax_samples_per_keyparameter. Pipes are not supported for sample queries.